<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	$usuario=$_POST['usuario'];
	$bombas_muestra=$_POST['bombas_muestra'];

	if ($bombas_muestra[0]==0) {
		$bombas_muestra="";
	}
	$usuarios_bombas=0;
	$cont=0;

	$datos = " Ingresa a obtener_bombas bombas_muestra=".$bombas_muestra;	
		insertarLog($datos,$id_aplicacion);

	$sentencia = $conexion->prepare("SELECT valor FROM parametros where id_parametro='usuarios_bombas'");
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	
	while($fila = $resultado->fetch_assoc())
	{
		$usuarios_bombas = $fila['valor'];
		
	}
	$datos = " Se obtuvo informacion de parametro usuarios_bombas ";	
		insertarLog($datos,$id_aplicacion);

	if ($usuario=="admin") 
	{
		$sentencia = $conexion->prepare("SELECT id_bomba,estado FROM bombas");
		$sentencia->execute();

		$resultado = $sentencia->get_result();
		$cont=0;

		while($fila = $resultado->fetch_assoc())
		{
			$bomba['id_bomba'] = $fila['id_bomba'];
			$bomba['estado'] = $fila['estado'];
			$array[$cont] = $bomba;
			$cont++;
		}

		if($bombas_muestra!="")
		{
			$array=[];
			$sentencia = $conexion->prepare("SELECT id_bomba,estado FROM bombas where id_bomba in (".$bombas_muestra.")");
			$sentencia->execute();

			$resultado = $sentencia->get_result();
			$cont=0;

			while($fila = $resultado->fetch_assoc())
			{
				$bomba['id_bomba'] = $fila['id_bomba'];
				$bomba['estado'] = $fila['estado'];
				$array[$cont] = $bomba;
				$cont++;
			}
		}

		$datos = " Se obtuvieron bombas usuario admin ";	
		insertarLog($datos,$id_aplicacion);
	}

	if ($cont == 0) {
		if($usuarios_bombas==1 && $usuario!='admin')
		{
			$id_turno=0;
			$id_empleado=0;
			$dia_semana=0;
			$bombas="";

			$sentencia = $conexion->prepare("SELECT id_turno FROM estacion");
			$sentencia->execute();

			$resultado = $sentencia->get_result();
			
			while($fila = $resultado->fetch_assoc())
			{
				$id_turno = $fila['id_turno'];
				
			}

			$sentencia->close();

			$id_turno = substr($id_turno, 9,strlen($id_turno)-1);

			$dia_semana = date('w');
			

			$sentencia = $conexion->prepare("SELECT id_empleado FROM usuarios where id_usuario='".$usuario."' ");
			$sentencia->execute();

			$resultado = $sentencia->get_result();
			
			while($fila = $resultado->fetch_assoc())
			{
				$id_empleado = $fila['id_empleado'];
				
			}

			$sentencia->close();

			if($id_empleado==0)
			{
				$array = array();
				echo json_encode($array,JSON_UNESCAPED_UNICODE);
				return;
			}

			$sql = "select distinct ";
			$sql .= "id_bomba ";
			$sql .= "from ";
			$sql .= "empleados_bombas ";
			$sql .= "where ";
			$sql .= "id_empleado=".$id_empleado." and ";
			$sql .= "id_dia=".$dia_semana." and ";
			$sql .= "id_turno=".$id_turno ;

			$sentencia = $conexion->prepare($sql);
			$sentencia->execute();

			$resultado = $sentencia->get_result();
			
			while($fila = $resultado->fetch_assoc())
			{
				$bombas .= $fila['id_bomba'].",";
				
			}

			$sentencia->close();

			if($bombas!="")
			{
				$bombas = substr($bombas, 0,strlen($bombas)-1);

				$sentencia = $conexion->prepare("SELECT id_bomba,estado FROM bombas where id_bomba in (".$bombas.") ");
				$sentencia->execute();

				$resultado = $sentencia->get_result();
				$cont=0;
				$array=[];

				while($fila = $resultado->fetch_assoc())
				{
					$bomba['id_bomba'] = $fila['id_bomba'];
					$bomba['estado'] = $fila['estado'];
					$array[$cont] = $bomba;
					$cont++;
				}

				$datos = " Se obtuvieron bombas usuario:".$usuario;	
				insertarLog($datos,$id_aplicacion);

				echo json_encode($array,JSON_UNESCAPED_UNICODE);
				$sentencia->close();


			}
			/*else
			{
				$sentencia = $conexion->prepare("SELECT id_bomba,estado FROM bombas");
				$sentencia->execute();

				$resultado = $sentencia->get_result();
				$cont=0;
				$array=[];
				while($fila = $resultado->fetch_assoc())
				{
					$bomba['id_bomba'] = $fila['id_bomba'];
					$bomba['estado'] = $fila['estado'];
					$array[$cont] = $bomba;
					$cont++;
				}

				echo json_encode($array,JSON_UNESCAPED_UNICODE);
				$sentencia->close();
			}*/

			$conexion->close();
			return;
		}

		if($bombas_muestra!="")
		{
			$sentencia = $conexion->prepare("SELECT id_bomba,estado FROM bombas where id_bomba in (".$bombas_muestra.")");
			$sentencia->execute();

			$resultado = $sentencia->get_result();
			$cont=0;
			$array=[];
			while($fila = $resultado->fetch_assoc())
			{
				$bomba['id_bomba'] = $fila['id_bomba'];
				$bomba['estado'] = $fila['estado'];
				$array[$cont] = $bomba;
				$cont++;
			}


			$datos = " Se obtuvieron bombas";	
			insertarLog($datos,$id_aplicacion);

			echo json_encode($array,JSON_UNESCAPED_UNICODE);
			$sentencia->close();

			$conexion->close();
			return;
		}


		$sentencia = $conexion->prepare("SELECT id_bomba,estado FROM bombas");
		$sentencia->execute();

		$resultado = $sentencia->get_result();
		$cont=0;

		while($fila = $resultado->fetch_assoc())
		{
			$bomba['id_bomba'] = $fila['id_bomba'];
			$bomba['estado'] = $fila['estado'];
			$array[$cont] = $bomba;
			$cont++;
		}
	}
	

	echo json_encode($array,JSON_UNESCAPED_UNICODE);
	
	$sentencia->close();
	$conexion->close();
	return;
	

	
?>